#include <pwd.h>

struct passwd *su_getpwnam(const char *name);
struct passwd *su_getpwuid(uid_t uid);

#define getpwnam(a)		su_getpwnam(a)
#define getpwuid(a)		su_getpwuid(a)

int su_getpwnam_r(const char *name, struct passwd *pwd, char *buf, size_t buflen, struct passwd **result);
int su_getpwuid_r(uid_t uid, struct passwd *pwd, char *buf, size_t buflen, struct passwd **result);

#define getpwnam_r(a,b,c,d,e)		su_getpwnam_r(a,b,c,d,e)
#define getpwuid_r(a,b,c,d,e)		su_getpwuid_r(a,b,c,d,e)

